curl --request PATCH \
--url https://helpcenter.thena.ai/articles/{articleId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"title": "Getting Started Guide",
"description": "Learn how to get started with our platform features",
"slug": "getting-started-guide",
"authors": [
"507f1f77bcf86cd799439011",
"507f1f77bcf86cd799439012"
],
"tags": [
"507f1f77bcf86cd799439013",
"507f1f77bcf86cd799439014"
],
"addToCollections": [
"507f1f77bcf86cd799439015",
"507f1f77bcf86cd799439016"
],
"removeFromCollections": [
"507f1f77bcf86cd799439017",
"507f1f77bcf86cd799439018"
],
"meta": {
"title": "SEO Title",
"description": "SEO Description",
"image": "https://example.com/image.jpg"
}
}
'import requests
url = "https://helpcenter.thena.ai/articles/{articleId}"
payload = {
"title": "Getting Started Guide",
"description": "Learn how to get started with our platform features",
"slug": "getting-started-guide",
"authors": ["507f1f77bcf86cd799439011", "507f1f77bcf86cd799439012"],
"tags": ["507f1f77bcf86cd799439013", "507f1f77bcf86cd799439014"],
"addToCollections": ["507f1f77bcf86cd799439015", "507f1f77bcf86cd799439016"],
"removeFromCollections": ["507f1f77bcf86cd799439017", "507f1f77bcf86cd799439018"],
"meta": {
"title": "SEO Title",
"description": "SEO Description",
"image": "https://example.com/image.jpg"
}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'Getting Started Guide',
description: 'Learn how to get started with our platform features',
slug: 'getting-started-guide',
authors: ['507f1f77bcf86cd799439011', '507f1f77bcf86cd799439012'],
tags: ['507f1f77bcf86cd799439013', '507f1f77bcf86cd799439014'],
addToCollections: ['507f1f77bcf86cd799439015', '507f1f77bcf86cd799439016'],
removeFromCollections: ['507f1f77bcf86cd799439017', '507f1f77bcf86cd799439018'],
meta: {
title: 'SEO Title',
description: 'SEO Description',
image: 'https://example.com/image.jpg'
}
})
};
fetch('https://helpcenter.thena.ai/articles/{articleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "682c3cb454561efcea641c8c",
"orgId": "EWWESHH5ED",
"uid": 4275918855,
"title": "Getting Started Guide",
"description": "A comprehensive guide to get started",
"slug": "8588462216-getting-started-guide",
"state": "draft",
"authors": [
"UWW7PBBOPJ"
],
"tags": [
"667d37bd1e87838451261acb",
"667d37bd1e87838451261acb"
],
"visibility": "public",
"createdBy": "UWW7PBBOPJ",
"isAuthorManuallyUpdated": false,
"isDeleted": false,
"images": [
"48b6750b-0287-4bed-a09b-87977a3adf46"
],
"openaiFileId": "file-oM98KvbyEnEtslwh4bWiyrzu",
"lastEditedBy": "UWW7PBBOPJ",
"lastEditedAt": "2025-05-19T08:26:28.556Z",
"isUpdateRequired": false,
"objectIds": [],
"isAiGenerated": false,
"meta": {
"title": null,
"description": null,
"image": null
},
"createdAt": "2025-05-19T08:26:28.561Z",
"updatedAt": "2025-05-19T08:26:28.561Z",
"editorArticleName": "EWWESHH5ED_682c3cb454561efcea641c8c",
"jwtSignedToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
"aiToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
"publishedVersion": {
"json": "{\"type\":\"doc\",\"content\":[{\"type\":\"paragraph\",\"attrs\":{\"textAlign\":\"left\"},\"content\":[{\"type\":\"text\",\"text\":\"Hey test\"}]}]}",
"html": "<p>Hey test</p>",
"version": 0,
"publishedBy": "667d37bd1e87838451261acb",
"publishedAt": "2024-11-20T12:08:22.583Z"
},
"helpCenters": [
"671a2ddbccca6b1c3dc0d3b6"
],
"collections": [
"671b856c19d8f51c01c0d293"
]
}Update article
Authorizations
Enter your API key
Path Parameters
Article ID
"507f1f77bcf86cd799439011"
Body
Updated title of the article
"Getting Started Guide"
Article description
"Learn how to get started with our platform features"
URL-friendly slug for the article
"getting-started-guide"
Array of author IDs
[
"507f1f77bcf86cd799439011",
"507f1f77bcf86cd799439012"
]
Array of tag IDs
[
"507f1f77bcf86cd799439013",
"507f1f77bcf86cd799439014"
]
Collections to add this article to
[
"507f1f77bcf86cd799439015",
"507f1f77bcf86cd799439016"
]
Collections to remove this article from
[
"507f1f77bcf86cd799439017",
"507f1f77bcf86cd799439018"
]
Meta information for SEO
Show child attributes
Show child attributes
{
"title": "SEO Title",
"description": "SEO Description",
"image": "https://example.com/image.jpg"
}
Response
Article updated successfully
"682c3cb454561efcea641c8c"
"EWWESHH5ED"
4275918855
"Getting Started Guide"
"A comprehensive guide to get started"
"8588462216-getting-started-guide"
draft, published "draft"
["UWW7PBBOPJ"]
[
"667d37bd1e87838451261acb",
"667d37bd1e87838451261acb"
]
public, private, customer "public"
"UWW7PBBOPJ"
false
false
["48b6750b-0287-4bed-a09b-87977a3adf46"]
"file-oM98KvbyEnEtslwh4bWiyrzu"
"UWW7PBBOPJ"
"2025-05-19T08:26:28.556Z"
false
[]
false
{
"title": null,
"description": null,
"image": null
}
"2025-05-19T08:26:28.561Z"
"2025-05-19T08:26:28.561Z"
"EWWESHH5ED_682c3cb454561efcea641c8c"
"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."
"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."
Show child attributes
Show child attributes
["671a2ddbccca6b1c3dc0d3b6"]
["671b856c19d8f51c01c0d293"]